import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/core/styles/app_images.dart';
import 'package:tanami_app/core/styles/app_text.dart';
import 'package:tanami_app/shared/components/text_widget.dart';

class RegisterUserTopSection extends StatelessWidget {
  const RegisterUserTopSection({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        const Gap(22),
        Center(
          child: SvgPicture.asset(
            AppImages.welcomeLogo,
          ),
        ),
        const Gap(25),
        Padding(
          padding: const EdgeInsets.symmetric(horizontal: 75),
          child: TextWidget().text14W500(
            AppText.enterNameEmailUniquePassword,
            clr: AppColor.smokeGrayColor,
          ),
        ),
      ],
    );
  }
}
